//
//  CPDFAnnotationBaseViewController_Header.h
//  compdfkit-tools
//
//  Created by kdanmobile_2 on 2023/4/23.
//

#ifndef CPDFAnnotationBaseViewController_Header_h
#define CPDFAnnotationBaseViewController_Header_h

#import "CPDFAnnotationSampleView.h"
#import "CPDFColorSelectView.h"
#import "CPDFOpacitySliderView.h"
#import "CPDFColorPickerView.h"

@interface CPDFAnnotationBaseViewController ()

@property (nonatomic, strong) CPDFAnnotationSampleView *sampleView;

@property (nonatomic, strong) CPDFColorSelectView *colorView;

@property (nonatomic, strong) CPDFOpacitySliderView *opacitySliderView;

@property (nonatomic, strong) CPDFColorPickerView *colorPicker;

@property (nonatomic, strong) UIButton *backBtn;

@property (nonatomic, strong) UILabel *titleLabel;

@property (nonatomic, strong) CAnnotStyle *annotStyle;

- (void)commomInitTitle;

- (void)updatePreferredContentSizeWithTraitCollection:(UITraitCollection *)traitCollection;

@end

#endif /* CPDFAnnotationBaseViewController_Header_h */
