//
//  CPDFNoteOpenViewController.h
//  compdfkit-tools
//
//  Created by kdanmobile_2 on 2023/4/26.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@class CPDFNoteOpenViewController;

@protocol CPDFNoteOpenViewControllerDelegate <NSObject>

@optional

- (void)getNoteOpenViewController:(CPDFNoteOpenViewController *)noteOpenVC content:(NSString *)content isDelete:(BOOL)isDelete;

@end

@interface CPDFNoteOpenViewController : UIViewController

@property (nonatomic, weak) id<CPDFNoteOpenViewControllerDelegate> delegate;

- (void)setContent:(NSString *)content;

- (void)showViewController:(UIViewController *)viewController inRect:(CGRect)rect;

@end

NS_ASSUME_NONNULL_END
