//
//  CPDFArrowStyleCell.m
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import "CPDFArrowStyleCell.h"
#import "CPDFDrawArrowView.h"

@implementation CPDFArrowStyleCell

#pragma mark - Initializers

- (instancetype)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        self.contextView = [[CPDFDrawArrowView alloc] initWithSelectIndex:1];
        self.contextView.layer.borderWidth = 1.0;
        self.contextView.layer.borderColor = [UIColor purpleColor].CGColor;
        self.contextView.backgroundColor = [UIColor whiteColor];
        self.contextView.frame = self.frame;
//        [self.contextView ];
        [self.contentView addSubview:self.contextView];
    }
    return self;
}

@end
